Bug 428243 - fence_ilo can not recognize option="off" but fence_wti can
fence_ilo can not recognize option="off" but fence_wti can
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
high Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 04:17 EST by Zhenyong(Jerry) Jiang
Modified: 2013-07-28 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0801
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cluster conf file (1.15 KB, application/octet-stream)
2008-01-10 04:17 EST, Zhenyong(Jerry) Jiang
no flags Details

  None (edit)
Description Zhenyong(Jerry) Jiang 2008-01-10 04:17:11 EST
Description of problem:

I have a cluster system on my lab with WTI fencing device. At that time, I add
an fence_method option "option=off" to the cluster.conf, so the fencing action
will power off the destinate server instead of reboot it.

This is fence option:
<device name="wti" port="6" option="off"/>
Please refer to attached file for the original file cluster.conf. 


But when I use the same option on fence_ilo, it doesn't work. This is the error.

  agent "fence_ilo" reports: parse error: unknown option "option=off" 

My question is:

I found fence_ilo can work with method option : action="off", 

This option is not hardware-related, can we make it identical on all fence_*

Version-Release number of selected component (if applicable):

RHCS 4 & RHCS 5 both have the issue.

How reproducible:

Install a RHEL4/5 cluster system on HP system. to use fence_ilo as fence device.

Add the method option "option="off"" to fence_ilo and make it active.

fence_node node1

  
Actual results:

Fence failed to work.

Expected results:

fence_ilo can work well

Additional info:
Comment 1 Zhenyong(Jerry) Jiang 2008-01-10 04:17:11 EST
Created attachment 291248 [details]
cluster conf file
Comment 2 Ryan McCabe 2008-01-15 11:16:31 EST
As a workaround, you can use action="off" but I'll fix the script to take either
action or option.
Comment 3 RHEL Product and Program Management 2008-01-15 11:26:46 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2008-07-25 15:16:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0801.html

Note You need to log in before you can comment on or make changes to this bug.